.input_field {
position: relative;
height: 45px;
margin-top: 15px;
width: 100%;
}
.input_field input,
.button button {
height: 100%;
width: 100%;
outline: none;
border: none;
border-radius: 8px;
background: white !important;
}
.input_field input {
padding: 0 15px;
border: 1px solid rgba(0, 0, 0, 0.1);
}
.captch_box input {
letter-spacing: 20px;
color: #6b6b6b;
font-size: 22px;
pointer-events: none;
}
.captch_input input:focus {
box-shadow: 0 1px 1px rgba(0, 0, 0, 0.08);
}
form i {
float: right;
margin-right: 20px;
margin-top: -30px;
cursor: pointer;
}
#form {
position: relative;
}
#form .input-box {
position: relative;
}
#text {
display: block;
color: #000;
font-weight: 300;
padding: 5px;
}
.progress {
height: 5px;
}
.control-label {
text-align: left !important;
padding-bottom: 7px;
}
.form-horizontal {
padding: 25px 20px;
border: 1px solid #eee;
border-radius: 5px;
}
select.form-control:focus {
border-color: #e9ab66;
box-shadow: none;
}
.block-help {
font-weight: 300;
}
.terms {
text-decoration: underline;
}
.modal {
text-align: center;
padding: 0!important;
}
.modal:before {
content: '';
display: inline-block;
height: 100%;
vertical-align: middle;
margin-right: -4px;
}
.modal-dialog {
display: inline-block;
text-align: left;
vertical-align: middle;
}
.divider {
position: absolute;
height: 2px;
border: 1px solid #eee;
width: 100%;
top: 10px;
z-index: -5;
}
.ex-account {
position: relative;
}
.ex-account p {
background-color: rgba(255, 255, 255, 0.41);
}
select:hover {
color: #444645;
background: #ddd;
}
.fa-file-text {
color: #edda39;
}
.mar-top-bot-50 {
margin-top: 50px;
margin-bottom: 50px;
}
.pass-group {
position: relative;
}
.form-control {
padding-right: 30px;
}
.pass-group .icon {
position: absolute;
right: 1px;
top: 126%;
transform: translateY(-50%);
color: gray;
font-size: 14px;
pointer-events: none;
font-weight: bold;
}
#passwordMessage {
font-weight: 500;
padding: 10px;
list-style: none;
margin: 10px 0;
background-color: #f9f9f9;
border-radius: 8px;
box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
#passwordMessage li {
position: relative;
padding-left: 0px;
margin-bottom: 8px;
font-size: 14px;
color: gray; /* Default to red (invalid) */
transition: color 0.3s ease-in-out;
}
/* Add a circle icon before each item */
#passwordMessage li::before {
position: absolute;
left: 50;
color: #FF0000;
font-size: 14px;
transition: color 0.3s ease-in-out;
}
/* When requirement is valid, change text and icon color to green with checkmark */
#passwordMessage li.valid {
color: #008000;
}
#passwordMessage li.valid::before {
content: '✔️';
color: #008000;
}